#
# Conditional build:
%bcond_without	kerberos5	# build without Kerberos support

Summary:	An enhanced implementation of the mailx command
Summary(pl.UTF-8):	Rozszerzona implementacja komendy mailx
Name:		mailx
Version:	12.4
Release:	4
License:	BSD
Group:		Applications/Mail
Source0:	http://downloads.sourceforge.net/heirloom/%{name}-%{version}.tar.bz2
# Source0-md5:	0c93759e34200eb56a0e7c464680a54a
Patch0:		%{name}-bsdcompat.patch
Patch1:		%{name}-use-krb5-gss.patch
Patch2:		%{name}-openssl-nss.patch
Patch3:		%{name}-openssl.patch
Patch4:		%{name}-ipv6.patch
Patch5:		%{name}-pager.patch
URL:		http://heirloom.sourceforge.net/mailx.html
%{?with_kerberos5:BuildRequires:	heimdal-devel}
BuildRequires:	openssl-devel >= 0.9.7d
Obsoletes:	nail
Obsoletes:	nail-mail
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Heirloom mailx is derived from Berkeley Mail and is intended provide
the functionality of the POSIX mailx command with additional support
for MIME messages, IMAP, POP3, and SMTP. It provides enhanced features
for interactive use, such as caching and disconnected operation for
IMAP, message threading, scoring, and filtering. It is also usable as
a mail batch language, both for sending and receiving mail.

%description -l pl.UTF-8
Heirloom mailx został stworzony na podstawie Berkeley Mail z zamysłem
dostarczenia funkcjonalnosci komendy POSIX mailx z dodatkowym
wsparciem dla MIME, IMAP, POP3 i SMTP. Nail dostacza rozszerzone
możliwości przy pracy interaktywnej, takie jak odłączone operacje dla
IMAP, wątkowanie wiadomości, punktacja i filtrowanie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%{!?with_kerberos5:sed -i -e 's#gssapi.h#puke.h#g' makeconfig}

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	MAILRC=/etc/mail.rc \
	MAILSPOOL=/var/mail \
	SENDMAIL=/usr/lib/sendmail

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,/etc/skel,/bin}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	MAILRC=/etc/mail.rc \
	UCBINSTALL=/usr/bin/install \
	PREFIX=%{_prefix} \
	BINDIR=/bin

install nail.rc $RPM_BUILD_ROOT/etc/skel/.mailrc

ln -sf mailx $RPM_BUILD_ROOT/bin/mail
ln -sf ../../bin/mail $RPM_BUILD_ROOT%{_bindir}/Mail
ln -sf ../../bin/mail $RPM_BUILD_ROOT%{_bindir}/nail

echo .so mailx.1 > $RPM_BUILD_ROOT%{_mandir}/man1/Mail.1
echo .so mailx.1 > $RPM_BUILD_ROOT%{_mandir}/man1/mail.1
echo .so mailx.1 > $RPM_BUILD_ROOT%{_mandir}/man1/nail.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%config(noreplace) %verify(not md5 mtime size) /etc/mail.rc

/etc/skel/.mailrc

%attr(755,root,root) /bin/mail*
%attr(755,root,root) %{_bindir}/[Mn]ail
%{_mandir}/man1/*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mailx.git;a=log;h=master

* Mon Feb 18 2013 Elan Ruusamäe <glen@delfi.ee> 7756e8d
- less smelly (sometimes)

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9d2b7fd
- avoid BC heimdal-devel; just patch makeconfig when needed

* Thu Jun 28 2012 hawk <hawk@pld-linux.org> a3a9a60
- release 4

* Tue Aug 02 2011 Jan Rękorajski <baggins@pld-linux.org> cc9441e
- release 3

* Tue Apr 05 2011 Jacek Konieczny <jajcus@pld-linux.org> 53f0521
- without_kerberos5 bcond added

* Mon Oct 04 2010 Jan Rękorajski <baggins@pld-linux.org> 1d4556c
- rel 2

* Wed Apr 14 2010 Jan Rękorajski <baggins@pld-linux.org> 267d2dc
- rel 1

* Wed Apr 14 2010 Jan Rękorajski <baggins@pld-linux.org> 865d7ce
- install all symlinks in proper places

* Wed Apr 14 2010 Jan Rękorajski <baggins@pld-linux.org> 25e7164
- use less as default pager

* Wed Apr 14 2010 Jan Rękorajski <baggins@pld-linux.org> 998ca5f
- fix building with openssl 1.0.0
- prefer openssl over NSS
- enable ipv6 support

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 74deae5
- version is 12.4, not 24.4

* Wed Apr 14 2010 Elan Ruusamäe <glen@pld-linux.org> 297e928
- adapter. typo

* Wed Apr 14 2010 Jan Rękorajski <baggins@pld-linux.org> d1ed9c9
- set bsdcompat option if called as mail or Mail

* Wed Apr 14 2010 Jan Rękorajski <baggins@pld-linux.org> 21bc0ba
- force use of gss from krb5 to avoid lottery at compile time

* Wed Apr 14 2010 Jan Rękorajski <baggins@pld-linux.org> 384acb9
- it's time fo the 14 years old BSD mailx to die
- we use Heirloom mailx (previously known as nail) from now on

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> ce03490
- release 34

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> b58fbf1
- rel 33 for fc2 upgrade

* Tue Jan 15 2008 Jan Rękorajski <baggins@pld-linux.org> c0ac0d8
- rel 28
- back to obsoletes (I admire the utter stupidity of putting conflict there,
  have you ever tried to replace nail-mail with mailx?)

* Mon Aug 06 2007 Patryk Zawadzki <patrys@room-303.com> 1334b62
- don't obsolete, conflict

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 43acb0d
- tabs in preamble

